var User = require('./modules/user');
var Phrases = require('./json/lang-en.json');
/*var vasya = new User('vasya', '123', 'Vasya');
var anton = new User('anton', '234', 'Anton');
vasya.Hello(anton);*/
/* Server */
var request_count = 0;
var http = require('http');
var url = require('url');
var server = new http.Server();
server.listen(process.argv[2] || 80);
console.log(process.argv);

/* Просмотр событий, происходимых на сервере */
var emit = server.emit;
server.emit = function(event)
{
    console.log("Event -> " + event);
    emit.apply(server,arguments);
};

/* ----------------------------------------- */

/* Создание сервера, отдающего статические ресурсы */
var connect = require('connect');
connect.createServer(connect.static("./www")).listen(process.argv[3] || 8080);
/* ----------------------------------- */
server.on('request', function(req, res)
{
    request_count++;
    var reqestedUrl = req.url;
    var urlObject = url.parse(reqestedUrl);
    console.log(urlObject);
    console.log("Request : " + reqestedUrl);
    if (urlObject.pathname == '/')
    {
        res.writeHead(200, {"Content-Type" : "text/html; charset=windows-1251"});
        res.write('<h1>Привет!</h1>');
    }
    else
    {
        res.writeHead(404);
        res.write(Phrases.Error404);
    }
    res.end();
})
console.log(Phrases.ServerStarted);
